Bug 2171433 - a2ps: FTBFS in Fedora rawhide/f38
Summary: a2ps: FTBFS in Fedora rawhide/f38
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: a2ps
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-02-20 11:43 UTC by Fedora Release Engineering
Modified: 2023-03-26 00:18 UTC (History)
3 users (show)

Fixed In Version: a2ps-4.14-52.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-03-26 00:18:55 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Fedora Release Engineering 2023-02-20 11:43:54 UTC
a2ps failed to build from source in Fedora rawhide/f38

https://koji.fedoraproject.org/koji/taskinfo?taskID=96308225


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild
Please fix a2ps at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
a2ps will be orphaned. Before branching of Fedora 39,
a2ps will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Zdenek Dohnal 2023-02-23 09:24:28 UTC
The FTBFS happens due this error:

6128 rm -rf $backupdir; exit $rc
6129 Can't use an undefined value as an ARRAY reference at /usr/share/texinfo/Texinfo/ParserNonXS.pm line 4354.

I contacted Vita Crhonek, the texinfo maintainer, and he found out it is texinfo bug - he fixed in rawhide for now https://koji.fedoraproject.org/koji/buildinfo?buildID=2158102 and I asked him for F38 build as well.

Once texinfo is built, I'll rebuild a2ps.

Comment 2 Zdenek Dohnal 2023-02-23 11:29:02 UTC
Since we are in beta freeze, texinfo build is not currently in F38 stable repos (https://bodhi.fedoraproject.org/updates/FEDORA-2023-00be94e051). IMHO a2ps is not a critical component, so the rebuild can happen once beta is released.

Comment 3 Fedora Update System 2023-03-16 16:58:45 UTC
FEDORA-2023-afc1e7b15c has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-afc1e7b15c

Comment 4 Fedora Update System 2023-03-18 05:13:17 UTC
FEDORA-2023-afc1e7b15c has been pushed to the Fedora 38 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-afc1e7b15c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2023-03-26 00:18:55 UTC
FEDORA-2023-afc1e7b15c has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.